# Interface VulkanHostAllocatorCallbacksType

All Known Implementing Classes:
  `VulkanHostAllocatorCallbacks`

@Immutable public interface VulkanHostAllocatorCallbacksType
Vulkan host allocation functions.

See Also:
  - "VkAllocationCallbacks"

- ## Nested Class Summary

  Nested Classes
  Modifier and Type
  Interface
  Description
  `static interface`
  `VulkanHostAllocatorCallbacksType.AllocationFunctionType`
  A function to allocate memory.
  `static interface`
  `VulkanHostAllocatorCallbacksType.DeallocationFunctionType`
  A function to deallocate memory.
  `static interface`
  `VulkanHostAllocatorCallbacksType.InternalAllocationNotificationType`
  A function called on internal allocations.
  `static interface`
  `VulkanHostAllocatorCallbacksType.InternalFreeNotificationType`
  A function called on internal allocations.
  `static interface`
  `VulkanHostAllocatorCallbacksType.ReallocationFunctionType`
  A function to reallocate memory.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `VulkanHostAllocatorCallbacksType.AllocationFunctionType`
  `allocation()`
  `VulkanHostAllocatorCallbacksType.DeallocationFunctionType`
  `deallocation()`
  `VulkanHostAllocatorCallbacksType.InternalAllocationNotificationType`
  `onInternalAllocation()`
  `VulkanHostAllocatorCallbacksType.InternalFreeNotificationType`
  `onInternalDeallocation()`
  `VulkanHostAllocatorCallbacksType.ReallocationFunctionType`
  `reallocation()`

- ## Method Details

  - ### allocation

    @Parameter VulkanHostAllocatorCallbacksType.AllocationFunctionType allocation()
    Returns:
      The allocation function

  - ### deallocation

    @Parameter VulkanHostAllocatorCallbacksType.DeallocationFunctionType deallocation()
    Returns:
      The deallocation function

  - ### reallocation

    @Parameter VulkanHostAllocatorCallbacksType.ReallocationFunctionType reallocation()
    Returns:
      The reallocation function

  - ### onInternalAllocation

    @Parameter VulkanHostAllocatorCallbacksType.InternalAllocationNotificationType onInternalAllocation()
    Returns:
      The internal allocation notification function

  - ### onInternalDeallocation

    @Parameter VulkanHostAllocatorCallbacksType.InternalFreeNotificationType onInternalDeallocation()
    Returns:
      The internal deallocation notification function